public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Thomas Beierlein" <tomjbe@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-electronics/puff/
Date: Sun, 22 Jul 2018 11:41:34 +0000 (UTC)	[thread overview]
Message-ID: <1532259579.cc10cf6b5886ab8d72b2fb098e4ee761635bca11.tomjbe@gentoo> (raw)

commit:     cc10cf6b5886ab8d72b2fb098e4ee761635bca11
Author:     Michael Mair-Keimberger <m.mairkeimberger <AT> gmail <DOT> com>
AuthorDate: Mon Jul  9 18:22:38 2018 +0000
Commit:     Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
CommitDate: Sun Jul 22 11:39:39 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cc10cf6b

sci-electronics/puff: EAPI7, improve ebuild

Closes: https://github.com/gentoo/gentoo/pull/9162

 sci-electronics/puff/puff-20100127-r1.ebuild | 47 ++++++++++++++++++++++++++++
 1 file changed, 47 insertions(+)

diff --git a/sci-electronics/puff/puff-20100127-r1.ebuild b/sci-electronics/puff/puff-20100127-r1.ebuild
new file mode 100644
index 00000000000..9ea282b9822
--- /dev/null
+++ b/sci-electronics/puff/puff-20100127-r1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic
+
+DESCRIPTION="microwave CAD software"
+HOMEPAGE="http://wwwhome.cs.utwente.nl/~ptdeboer/ham/puff/"
+SRC_URI="http://wwwhome.cs.utwente.nl/~ptdeboer/ham/${PN}/${P}.tgz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="x11-libs/libX11"
+DEPEND="${RDEPEND}
+	dev-lang/fpc"
+
+src_prepare() {
+	default
+	# fix lib path for X11 and dont ignore LDFLAGS
+	sed -i -e "s#lib\\\/#$(get_libdir)\\\/#" \
+		-e 's/CFLAGS/#CFLAGS/' \
+		-e 's/link.res pu/link.res $(LDFLAGS) pu/' Makefile || die
+}
+
+src_compile() {
+	LDFLAGS="$(raw-ldflags)"
+	emake -j1
+}
+
+src_install() {
+	dobin puff
+
+	dodoc changelog.txt README.txt
+	newdoc "Puff Manual.pdf" Puff_Manual.pdf
+
+	insinto /usr/share/${PN}
+	doins setup.puf
+	doins -r orig_dev_and_puf_files
+}
+
+pkg_postinst() {
+	elog "You must copy /usr/share/${PN}/setup.puf into your working directory"
+	elog "before using the program."
+}


             reply	other threads:[~2018-07-22 11:41 UTC|newest]

Thread overview: 9+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-07-22 11:41 Thomas Beierlein [this message]
  -- strict thread matches above, loose matches on Subject: below --
2018-11-28  0:06 [gentoo-commits] repo/gentoo:master commit in: sci-electronics/puff/ Aaron Bauman
2019-04-20  1:29 Aaron Bauman
2021-06-29 17:12 Thomas Beierlein
2021-06-29 17:12 Thomas Beierlein
2021-06-30 18:23 Thomas Beierlein
2022-11-19 16:59 Thomas Beierlein
2022-11-19 16:59 Thomas Beierlein
2023-06-15  8:49 Andrew Ammerlaan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1532259579.cc10cf6b5886ab8d72b2fb098e4ee761635bca11.tomjbe@gentoo \
    --to=tomjbe@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox